#
# This is the SPEC file for creating binary and source RPMs for the VMs.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2011  Marek Marczykowski <marmarek@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#


Name:		qubes-gpg-split
Version:	2.0.43
Release:	1%{dist}
Summary:	The Qubes service for secure gpg separation

Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		http://www.qubes-os.org

BuildRequires: gcc
BuildRequires: pandoc

Requires:	gnupg2
Requires:   zenity


Source0: %{name}-%{version}.tar.gz

%description
The Qubes service for delegating gpg actions to other VM. You can keep keys in
secure (even network isolated) VM and only pass data to it for
signing/decryption.

%package tests
Summary:    Tests for Split GPG
Requires:   %{name}
Requires:   python3-dogtail
Requires:   xdotool

%description tests
Helper scripts for Split GPG tests.

%prep
%setup -q

%build
make clean
make build

%install
rm -rf $RPM_BUILD_ROOT
make install-vm DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir /usr/lib/qubes-gpg-split
/usr/lib/qubes-gpg-split/gpg-server
/usr/lib/qubes-gpg-split/pipe-cat
/usr/bin/qubes-gpg-client
/usr/bin/qubes-gpg-client-wrapper
/usr/bin/qubes-gpg-import-key
/etc/qubes-rpc/qubes.Gpg
%attr(0644,root,root) /etc/qubes-rpc/qubes.GpgImportKey
/etc/profile.d/qubes-gpg.sh
%dir %attr(0777,root,root) /var/run/qubes-gpg-split
/etc/tmpfiles.d/qubes-gpg-split.conf
%{_mandir}/man1/qubes-gpg-client.1*
%{_mandir}/man1/qubes-gpg-client-wrapper.1*
%{_mandir}/man1/qubes-gpg-import-key.1*

%files tests
/usr/lib/qubes-gpg-split/test_evolution.py*
/usr/lib/qubes-gpg-split/test_thunderbird.py*
/usr/lib/qubes-gpg-split/test_smtpd.py*

%changelog
* Mon Jan 06 2020 Qubes OS Team <qubes-devel@groups.google.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-split-gpg

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 226ccec
- version 2.0.43

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3c5d52f
- Fix qrexec policy permission

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1299856
- travis: switch to fc31 dom0

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b9e804e
- Don't include python2 tests on new dom0 (based on >f28)

* Sat Dec 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6bf9ecd
- version 2.0.42

* Tue Dec 03 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3541562
- tests: improve handling compose window in TB 68

* Mon Oct 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 27d6a96
- version 2.0.41

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 9295a5b
- travis: switch to bionic

* Thu Oct 10 2019 Johanna Abrahamsson <johanna@assured.se> - 890bc8c
- add ignore for --disable-dirmngr option

* Sat Oct 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - af6800e
- version 2.0.40

* Sat Oct 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4f389fc
- tests: give more time for the actual test

* Mon Sep 30 2019 w1k1n9cc <git@malbolge.de> - fee3fbb
- wrong identation

* Mon Sep 30 2019 w1k1n9cc <git@malbolge.de> - f522d67
- Git is great but not in that case ;-)

* Mon Sep 30 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 30327f2
- version 2.0.39

* Sun Sep 29 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 79f904d
- tests: accept "Qubes Attachments" addon

* Fri Sep 27 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 33bc63e
- travis: switch to xenial, update distributions, drop R3.2

* Fri Sep 27 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cffdb83
- tests: adjust for Thunderbird 68

* Sat Aug 24 2019 LawAbidingCactus <lawabidingcactus@lawabidingcactus.com> - c4c354f
- remove duplicated option in manpage

* Thu May 16 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a08410b
- version 2.0.38

* Thu May 16 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1652b7d
- Merge remote-tracking branch 'origin/pr/23'

* Sat May 11 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d6bab4d
- version 2.0.37

* Sat May 11 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 42ac505
- Do not block actual gpg operation on notification

* Wed May 08 2019 redshiftzero <jen@freedom.press> - c2226de
- GpgImportKey: pass --no-tty through

* Thu Mar 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 73c021e
- version 2.0.36

* Sun Mar 17 2019 Alex Jordan <a.l.jordan@protonmail.com> - f60305c
- Whitelist --export-ssh-key option

* Sun Mar 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fd8a183
- version 2.0.35

* Sat Mar 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0519e1a
- travis: update to R4.1

* Sat Mar 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 803a751
- rpm: fix python macros one more time

* Sat Mar 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 91eeb44
- rpm: specify python binaries to build with

* Sat Mar 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4b70f52
- rpm: fix Source0 tag

* Fri Feb 22 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fe6104e
- tests: force C.UTF-8 locale during thunderbird setup too

* Thu Feb 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7589f77
- tests: force C.UTF-8 locale

* Tue Feb 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 691630b
- debian: drop autotools in debian/rules

* Sun Jan 27 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bd89f41
- tests: adjust for TB version in Whonix 14

* Tue Jan 22 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 22f38e1
- tests: adjust for Whonix, increase timeouts

* Tue Jan 22 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e304e58
- tests: increase timeout for Thunderbird start

* Mon Jan 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b377618
- tests: update for Thunderbird 60

* Sun Dec 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 29ffff9
- tests: improve error reporting

* Thu Dec 06 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b13f659
- version 2.0.34

* Thu Dec 06 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - af45f67
- Merge remote-tracking branch 'origin/pr/21'

* Thu Dec 06 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 46fddb8
- Wait for GUI session before asking the user for confirmation

* Thu Dec 06 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1c8f27c
- Move confirmation prompt to qubes.Gpg shell script

* Wed Dec 05 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2a8cbe1
- tests/thunderbird: give a file choosing dialog a little time

* Wed Dec 05 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 501de40
- debian: install test_evolution.py

* Wed Dec 05 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 79eb45a
- tests: Evolution on Debian

* Wed Nov 21 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d589220
- tests: Evolution integration

* Thu Nov 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3cc843a
- Ignore --photo-viewer

* Fri Oct 26 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ce4c1e7
- tests: improve timeout handling in thunderbird tests

* Fri Oct 26 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8cc5f5c
- tests: improve workaround for Whonix's time randomization

* Sun Oct 21 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e26e961
- tests: add xdotool dependency

